Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.info
Class ContainerPortletManagedModeInfo

    java.lang.Object
      org.jboss.portal.portlet.impl.info.ContainerPortletManagedModeInfo

All Implemented Interfaces:
  ModeInfo, PortletManagedModeInfo

    public class ContainerPortletManagedModeInfo

extends java.lang.Object
implements PortletManagedModeInfo

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`ContainerPortletManagedModeInfo(org.jboss.portal.Mode mode, org.jboss.portal.common.i18n.LocalizedString displayName)`
`ContainerPortletManagedModeInfo(org.jboss.portal.Mode mode, org.jboss.portal.common.i18n.LocalizedString description, org.jboss.portal.common.i18n.LocalizedString displayName)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`org.jboss.portal.common.i18n.LocalizedString` | `getDescription()` The mode description.
`org.jboss.portal.common.i18n.LocalizedString` | `getDisplayName()` Returns the display name of the mode.
`org.jboss.portal.Mode` | `getMode()` The mode value.
`java.lang.String` | `getModeName()` Retrieves the associated Mode name.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.portlet.info.ModeInfo
`getDescription, getMode, getModeName`

Constructor Detail

### ContainerPortletManagedModeInfo

    public ContainerPortletManagedModeInfo(org.jboss.portal.Mode mode,
                                           org.jboss.portal.common.i18n.LocalizedString description,
                                           org.jboss.portal.common.i18n.LocalizedString displayName)

### ContainerPortletManagedModeInfo

    public ContainerPortletManagedModeInfo(org.jboss.portal.Mode mode,
                                           org.jboss.portal.common.i18n.LocalizedString displayName)

Method Detail

### getDisplayName

    public org.jboss.portal.common.i18n.LocalizedString getDisplayName()

  Description copied from interface: `PortletManagedModeInfo`
  Returns the display name of the mode.

  Specified by:
    `getDisplayName` in interface `PortletManagedModeInfo`
  Returns:
    the display name

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getDescription

    public org.jboss.portal.common.i18n.LocalizedString getDescription()

  Description copied from interface: `ModeInfo`
  The mode description.

  Specified by:
    `getDescription` in interface `ModeInfo`
  Returns:
    the description

### getMode

    public org.jboss.portal.Mode getMode()

  Description copied from interface: `ModeInfo`
  The mode value.

  Specified by:
    `getMode` in interface `ModeInfo`
  Returns:
    the mode

### getModeName

    public java.lang.String getModeName()

  Description copied from interface: `ModeInfo`
  Retrieves the associated Mode name.

  Specified by:
    `getModeName` in interface `ModeInfo`
  Returns:
    the associated Mode name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.